function faceshow(X, scale)
% FACESHOW display a 16384x1 vector as an image
% FACESHOW(X, 256) reads the 16384x1 vector X and display
% it as a 128x128 image

for i = 1:128,
    for j = 1:128,		
        A(i,j) = X((j-1)*128+i);
    end
end

A = A ./ scale;

imshow(A);
